Subject: bug#12819: 24.2.50; [PATCH] Fix inconsistent behavior of (append-next-kill)

From: Drew Adams <[email-masked]>
Date: Tue, 17 Dec 2013 08:36:45 -0800 (PST)

> > I'm attaching a patch that implements behavior 1 and another that
> > implements behavior 2. I have a mild preference for behavior 1, but both
> > are better than what emacs does currently, I think.
> 
> Thanks.  Patch 1 looks OK, and a bit of testing did not turn up any
> problems, so I've committed it to trunk.

It is, however, quite a (good) change from longstanding previous
behavior.  This should be mentioned in NEWS.